#
# spec file for package ibus-unikey
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ibus-unikey
Version:        0.6.1
Release:        14.2
Summary:        Vietnamese engine for IBus input platform
License:        GPL-3.0-only
Group:          System/Localization
URL:            http://code.google.com/p/ibus-unikey/
Source:         http://%{name}.googlecode.com/files/%{name}-%{version}.tar.gz
#PATCH-FIX-UPSTREAM i@marguerite.su fix narrowing conversion from char to unsigned char
Patch0:         ibus-unikey-static_cast.patch
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  ibus
BuildRequires:  ibus-devel
BuildRequires:  intltool
Requires:       ibus
Provides:       locale(ibus:vi)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A Vietnamese engine for IBus input platform that uses Unikey.

%prep
%autosetup -p1

%build
%configure --libexecdir=%{_ibus_libexecdir}
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING ChangeLog
%{_datadir}/%{name}
%{_datadir}/ibus/component/*
%{_ibus_libexecdir}/ibus-*-unikey

%changelog
* Thu Feb 22 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Sat Jan 20 2024 Callum Farmer <gmbr3@opensuse.org>
- Fixes for %%_ibus_libexecdir moving to %%_libexecdir (bsc#1174075)
* Mon Nov  6 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Fri Aug  9 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Drop gconf2-devel BuildRequires: It's not used during build, so
  lets drop it.
* Fri Jun 17 2016 i@marguerite.su
- add patch ibus-unikey-static_cast.patch, fix boo#985186
  * fix narrowing conversion from char to unsigned char
  * modified from fcitx one
* Tue Mar 20 2012 swyear@gmail.com
- Update to 0.6.1
  Fix build fail with ibus-1.4.1
* Wed Oct 12 2011 tiwai@suse.de
- Updated to 0.6.0
  this fixes the build with ibus-1.4 (bnc#723591)
* Fri Jul 22 2011 tiwai@suse.de
- Add locale-specific provides tag (bnc#707712)
* Sun Jul 10 2011 nlminhtl@gmail.com
- spec file checking
* Fri Apr  8 2011 clarious@gmail.com
- Initial build
